#include <stdio.h>
#include <stdlib.h>      /* exit() */

int main()
{
  FILE      *fp;
  char       buffer[256];

  fp = fopen("/etc/passwd", "r"); /* Unix Specific */

  /* Check the fopen worked. */

  if (fp == 0)
  {
    printf("fopen failed\n");
    exit(1);
  }

  /* Loop for ever. */

  while (1)
  {
    /* Read a record. */

    fgets(buffer, 256, fp);

    /* Have we hit the end of file marker? */  

    if (feof(fp))
    {
      /* The EOF has been reached. Leave the while block. */

      break;
    }
    else 
    {
      /* The EOF has not arrived. Display the record. */

      printf("%s\n", buffer);
    }
  }
  fclose(fp);
      
  exit(0);
}
