/* This program is sensitive to the size of
 * an int on your machine. */

#include <stdio.h>

/* Declare the new datatype. */

union int_to_byte
{
  int        integer;
  char       byte[2];        /* Machine Specific */ 
};

void main()
{
  /* conversion can hold an int or two chars. */

  union int_to_byte conversion;

  /* Initialize conversion with an integer. */

  conversion.integer = 0Xaabb;

  printf("Initial value held by integer = %x\n", 
                                   conversion.integer);

  printf("First byte contains           = %x\n",
                                   conversion.byte[0]);

  printf("Second byte contains          = %x\n", 
                                   conversion.byte[1]);

  /* Alter half of the integer. */

  conversion.byte[1] = 0Xcc;

  printf("Final value held by integer   = %x\n", 
                                   conversion.integer);
}

