#include <gtk/gtk.h>
#define X 30
#define Y 45

void draw( GtkMenuItem *was_clicked, GtkWidget *where_to_draw )
{
   GdkGC *plot_gc;

   /* Retrieve "black" GC */
    plot_gc = GTK_WIDGET(where_to_draw)->style->black_gc ;

  /* Draw */
   gdk_draw_point( GTK_WIDGET(where_to_draw)->window, plot_gc, X, Y );
   
}
void tictactoe_grid( GtkMenuItem *was_clicked, GtkWidget *where_to_draw )
{
   GdkSegment grid[4] = { { 60,20  ,  60,100},  { 90,20  ,  90,100},
                          { 35,50  ,  115,50},  { 35, 70  ,  115, 70} };
   GdkGC *plot_gc;

   /* Retrieve "black" GC */
    plot_gc = GTK_WIDGET(where_to_draw)->style->black_gc ;

  /* Draw */
   gdk_draw_segments( GTK_WIDGET(where_to_draw)->window, plot_gc, grid , 4 );
   
}
void star( GtkMenuItem *was_clicked, GtkWidget *where_to_draw )
{
   GdkPoint vertices[5] = { { 50, 10 }, { 25, 90},  { 90, 40 },
                            { 10, 40 }, { 75, 90} };
   GdkGC *plot_gc;

   /* Retrieve "black" GC */
    plot_gc = GTK_WIDGET(where_to_draw)->style->black_gc ;

  /* Draw 5 pointed star*/
   gdk_draw_polygon( GTK_WIDGET(where_to_draw)->window, plot_gc, TRUE, 
                     vertices , 5 );
   
}
void girl( GtkMenuItem *was_clicked, GtkWidget *where_to_draw )
{
   GdkGC *plot_gc;

   /* Retrieve "black" GC */
    plot_gc = GTK_WIDGET(where_to_draw)->style->black_gc ;

  /* Draw face */
   gdk_draw_arc( GTK_WIDGET(where_to_draw)->window, plot_gc, TRUE, 
                     15, 35, 40, 50, 0, 360*64 );
  /* Draw hair bow */
   gdk_draw_arc( GTK_WIDGET(where_to_draw)->window, plot_gc, TRUE, 
                     10, 12, 50, 35, -5*64, 45*64 );
   gdk_draw_arc( GTK_WIDGET(where_to_draw)->window, plot_gc, TRUE, 
                     10, 12, 50, 35, 165*64, 45*64 );
   
  /* Ears */
   gdk_draw_arc( GTK_WIDGET(where_to_draw)->window, plot_gc, TRUE, 
                     10, 55, 8, 8, 0, 360*64 );
   gdk_draw_arc( GTK_WIDGET(where_to_draw)->window, plot_gc, TRUE, 
                     50, 55, 8, 8, 0, 360*64 );

}
